| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseConnectionSimplePresenceInterface Class Reference
Connection manager service implementation

Base class for implementations of Connection.Interface.SimplePresence. More...

`#include <TelepathyQt/BaseConnection>`

Inherits Tp::AbstractConnectionInterface.

## Public Types

typedef Callback3< uint, const QString &, const QString &, DBusError * > | SetPresenceCallback

## Public Member Functions

virtual | ~BaseConnectionSimplePresenceInterface ()
QVariantMap | immutableProperties () const
Tp::SimpleStatusSpecMap | statuses () const
void | setStatuses (const Tp::SimpleStatusSpecMap &statuses)
uint | maximumStatusMessageLength () const
void | setMaximumStatusMessageLength (uint maximumStatusMessageLength)
void | setSetPresenceCallback (const SetPresenceCallback &cb)
void | setPresences (const Tp::SimpleContactPresences &presences)
Tp::SimpleContactPresences | getPresences (const Tp::UIntList &contacts)
Public Member Functions inherited from Tp::AbstractConnectionInterface
| AbstractConnectionInterface (const QString &interfaceName)
virtual | ~AbstractConnectionInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static BaseConnectionSimplePresenceInterfacePtr | create ()
template<typename BaseConnectionSimplePresenceInterfaceSubclass >
static SharedPtr < BaseConnectionSimplePresenceInterfaceSubclass > | create ()

## Protected Member Functions

| BaseConnectionSimplePresenceInterface ()
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members

Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Connection.Interface.SimplePresence.

## Member Typedef Documentation

typedef Callback3<uint, const QString &, const QString &, DBusError*> Tp::BaseConnectionSimplePresenceInterface::SetPresenceCallback

## Constructor & Destructor Documentation

Tp::BaseConnectionSimplePresenceInterface::~BaseConnectionSimplePresenceInterface | ( |  | ) |

virtual

Class destructor.

Tp::BaseConnectionSimplePresenceInterface::BaseConnectionSimplePresenceInterface | ( |  | ) |

protected

Class constructor.

## Member Function Documentation

static BaseConnectionSimplePresenceInterfacePtr Tp::BaseConnectionSimplePresenceInterface::create | ( |  | ) |

inline static

template<typename BaseConnectionSimplePresenceInterfaceSubclass >

static SharedPtr<BaseConnectionSimplePresenceInterfaceSubclass> Tp::BaseConnectionSimplePresenceInterface::create | ( |  | ) |

inline static

QVariantMap Tp::BaseConnectionSimplePresenceInterface::immutableProperties | ( |  | ) | const

virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

Tp::SimpleStatusSpecMap Tp::BaseConnectionSimplePresenceInterface::statuses | ( |  | ) | const

void Tp::BaseConnectionSimplePresenceInterface::setStatuses | ( | const Tp::SimpleStatusSpecMap & | statuses | ) |

uint Tp::BaseConnectionSimplePresenceInterface::maximumStatusMessageLength | ( |  | ) | const

void Tp::BaseConnectionSimplePresenceInterface::setMaximumStatusMessageLength | ( | uint | maximumStatusMessageLength | ) |

void Tp::BaseConnectionSimplePresenceInterface::setSetPresenceCallback | ( | const SetPresenceCallback & | cb | ) |

void Tp::BaseConnectionSimplePresenceInterface::setPresences | ( | const Tp::SimpleContactPresences & | presences | ) |

SimpleContactPresences Tp::BaseConnectionSimplePresenceInterface::getPresences | ( | const Tp::UIntList & | contacts | ) |